nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   "Unable to load nvidia.ko", krnl:2.6.18-1.2239 (http://www.nvnews.net/vbulletin/showthread.php?t=80522)

Richard87 11-16-06 10:07 AM

"Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
1 Attachment(s)
Hello, I have FC5 installed, with the newest kernel installed(2.6.18-1.2239.FC5 rpm install), and gcc version 4.1.1 20060525.

I have no idea what to do, the module gets compiled without errors, but I can still not load it.

I have attached the error log.

zander 11-16-06 11:02 AM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
nvidia: disagrees about version of symbol struct_module

The kernel development files you built the NVIDIA kernel module against don't exactly match the running kernel; please double-check that you have the correct kernel-devel package(s) installed.

Richard87 11-16-06 11:20 AM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
How can I double check? I used

yum install kernel-devel
and
yum install/update kernel

uname -r returns
2.6.18-1.2239.fc5

and ls of /usr/src/kernels returns
# ls /usr/src/kernels/
2.6.15-1.2054_FC5-i586 2.6.18-1.2200.fc5-i586
2.6.17-1.2174_FC5-i586 2.6.18-1.2239.fc5-i586

I used the command
./NVIDIA-Linux-x86-1.0-9629-pkg1.run --kernel-source-path /usr/src/kernels/2.6.18-1.2239.fc5-i586/

to execute the installer.

what else should I check?

[EDIT]
My install is i386, but the kernel header files is for i586, is that a problem? and can anyone tell me where I could get i386 files from then?

zander 11-16-06 11:35 AM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
You don't need to use the --kernel-source-path command line argument; what happens if you don't use it?

Richard87 11-16-06 11:54 AM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
I get a error message when the innstaler is about to compile the driver saying that it could not find the kernel source tree...

netllama 11-16-06 12:09 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
Are you running an i586 kernel or an i686 kernel?
What's the output from "rpm -qa | grep kernel" ?

Richard87 11-16-06 12:27 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
kernel-2.6.18-1.2200.fc5
kernel-2.6.18-1.2239.fc5
kernel-devel-2.6.18-1.2200.fc5
kernel-devel-2.6.18-1.2239.fc5

it didnt tell me much though

netllama 11-16-06 12:30 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
Are you running an i586 kernel or an i686 kernel?

Richard87 11-16-06 12:35 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
How can I tell?

what I know is that I download the i386 version, and echo $HOSTTYPE returns i386, so I would belive I am running a i386 kernel or the i586 kernel(since all the packeges that I download seems to be i586...)

Sorry, please consider me as a complete newbie here:(

spnyBard 11-16-06 02:29 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
I am receiving the same error after executing NVIDIA-Linux-x86-1.0-9629-pkg1.run

I am running an i686 kernel 2.6.18-1.2239 on FC5 with (ostensibly) the corresponding kernel-devel package

rpm -qa | grep kernel

results in the following:

kernel-devel-2.6.18-1.2200.fc5
kernel-devel-2.6.18-1.2239.fc5
kernel-2.6.18-1.2200.fc5
kernel-2.6.18-1.2239.fc5

I've tried to manually insmod the nvidia driver created from the installer as well without success.

spnyBard 11-16-06 05:43 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
Please disregard my question - I had residual calls to the previous driver that needed to be cleaned up.

Richard87 11-17-06 12:17 PM

Re: "Unable to load nvidia.ko", krnl:2.6.18-1.2239
 
I found it out, checking the yum log i saw that I had actually installed the i686 kernel, so I downloaded the kernel-devel package for i686 and now everything work perfect:D

Tanks for all the help...


All times are GMT -5. The time now is 07:48 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.